"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const vscode = require("vscode");
let open = require("open");
exports.default = {
    register: (context) => {
        let disposable = vscode.commands.registerCommand("codesnippets.view-mine", () => __awaiter(this, void 0, void 0, function* () {
            open("https://dev.codesnippets.dev");
            //   const panel = vscode.window.createWebviewPanel(
            //     "CodeSnippets",
            //     "CodeSnippets",
            //     vscode.ViewColumn.Beside,
            //     {
            //       enableScripts: true,
            //     }
            //   );
            //   panel.webview.html = HTML;
        }));
        context.subscriptions.push(disposable);
    },
};
const HTML = `
<!DOCTYPE html><html> <head> <meta charset="utf-8"> <meta http-equiv="X-UA-Compatible" content="IE=edge"> <title>CodeSnippets.dev</title> <meta name="viewport" content="width=device-width, initial-scale=1"> <link href="https://fonts.googleapis.com/css?family=Inconsolata:400,700|Montserrat:400,700" rel="stylesheet"> <link rel="stylesheet" href="/entry.efecb057.css"></head> <body> <div id="background-image"></div> <div id="root"></div> <script src="/entry.d1e851c0.js"></script> </body> </html>`;
//# sourceMappingURL=viewMine.js.map